### Virtual Method

# Gtk EntryBufferinsert_text

#### Declaration [src]

    guint
    insert_text (
      GtkEntryBuffer* buffer,
      guint position,
      const char* chars,
      guint n_chars
    )

#### Description [src]

Inserts `n_chars` characters of `chars` into the contents of the buffer, at position `position`.

If `n_chars` is negative, then characters from chars will be inserted until a null-terminator is found. If `position` or `n_chars` are out of bounds, or the maximum buffer text length is exceeded, then they are coerced to sane values.

Note that the position and length are in characters, not in bytes.

#### Parameters

`position`

  Type: `guint`

  The position at which to insert text.

`chars`

  Type: `const char*`

  The text to insert into the buffer.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`n_chars`

  Type: `guint`

  The length of the text in characters, or -1

#### Return value

Type: `guint`

The number of characters actually inserted.